Name:           perl-TryCatch
Version:        1.003000
Release:        2%{?dist}
Summary:        First class try catch semantics for Perl, without source filters
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/TryCatch/
Source0:        http://www.cpan.org/authors/id/A/AS/ASH/TryCatch-%{version}.tar.gz
BuildRequires:  perl(B::Hooks::EndOfScope) >= 0.08
BuildRequires:  perl(B::Hooks::OP::Check) >= 0.18
BuildRequires:  perl(B::Hooks::OP::PPAddr) >= 0.03
BuildRequires:  perl(Devel::Declare) >= 0.005007
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(lib)
BuildRequires:  perl(Moose)
BuildRequires:  perl(MooseX::Types)
BuildRequires:  perl(MooseX::Types::Structured)
BuildRequires:  perl(Parse::Method::Signatures) >= 1.003012
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Scope::Upper) >= 0.06
BuildRequires:  perl(strict)
BuildRequires:  perl(Sub::Exporter) >= 0.979
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Variable::Magic) >= 0.28
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)
Requires:       perl(B::Hooks::OP::Check) >= 0.18
Requires:       perl(Moose)
Requires:       perl(MooseX::Types)
Requires:       perl(Test::Exception)
Requires:       perl(Test::More) >= 0.88
Requires:       perl(Variable::Magic) >= 0.28
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This module aims to provide a nicer syntax and method to catch errors in
Perl, similar to what is found in other languages (such as Java, Python or
C++). The standard method of using eval {}; if ($@) {} is often prone to
subtle bugs, primarily that its far too easy to stomp on the error in error
handlers. And also eval/if isn't the nicest idiom.

%prep
%setup -q -n TryCatch-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*
chmod +x $RPM_BUILD_ROOT/%{perl_vendorarch}/{bench.pl,bench_ok.pl}

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/TryCatch*
%{perl_vendorarch}/bench.pl
%{perl_vendorarch}/bench_ok.pl
%{_mandir}/man3/*

%changelog
* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 1.003000-2
- Perl mass rebuild

* Mon Mar 21 2011 Marcela Mašláňová <mmaslano@redhat.com> 1.003000-1
- Specfile autogenerated by cpanspec 1.79.
